#!/bin/sh
die () {
  echo "sync-cluster-logs.sh: error: $*" 1>&2
  exit 1
}
[ $# = 1 ] || die "expected exactly one argument"
[ -d $1 ] || die "argument '$1' is not a directory"
logdir=$1
syncdir () {
  src=$logdir/$1
  dst=$1
  [ -d $src ] || die "could not find directory '$src'"
  [ -d $dst ] || mkdir $dst || die "failed to 'mkdir $dst'"
  echo "rsync -a $src/ $dst/" 
  rsync -a $src/ $dst/ || die "'rsync -a $src $dst' failed"
}
syncdir chrono0 cadical-non-chronological
syncdir chrono1 cadical-limited-chronological-reusetrail
syncdir chronoalways1 cadical-always-chronological
syncdir chronoreusetrail0 cadical-limited-chronological
